var controlDobleClick=true;
var idParTec="";
var planoFirma=null;
var tecnicoSeleccionado="";
$( document ).ready(function() {
	
	var idParte=$("#idparte").val();
	var codigoEdificio=$("#idEdificio").val();
	
	

	
	$("#divNumAveria").hide();
	
	$("#GRID_parteTecnicos").rup_grid({
		width: 865,
		//hasMaint:true,
		//cellEdit:true,
		url: "../partetecnicos/obtenerTecnicosParteAsignadosGrid?idParte=" + idParte,
		pagerName: "pagerTec",
		rowNum: "10",
		sortorder: "asc",
		sortname: "nombre",
	    onSelectRow: cargarEjecucionTecnico,
		colNames: [
			"",
			"H",
			"idpartec",
			$.rup.i18n.app.parteTecnicos.estadogmao,
			$.rup.i18n.app.nuevo.nombre,
			$.rup.i18n.app.parteTecnicos.tiemporeal,
			"",
			$.rup.i18n.app.parteTecnicos.aceptada,
			$.rup.i18n.app.nuevo.observ,
			"",
			"",
			"",
			"",
			"",
			"",
			"",
			""
		],
		colModel: [
			{ name: "finalizado",
				label: "finalizado",
				index: "finalizado",
				width: "15",
				editable: false,
				edittype: "text",
				hidden:true
			},
			{ name: "idpartec",
				label: "idpartec",
				index: "idpartec",
				width: "150",
				editable: false,
				edittype: "text",
				hidden:true
			},
			{ name: "idtecnico",
				label: "idtecnico",
				index: "idtecnico",
				width: "150",
				editable: false,
				edittype: "text",
				hidden:true
			},
			{ name: "finalizado2",
				label: "finalizado2",
				index: "finalizado2",
				width: "40",
				align : "center",
				//hide:true,
				editable: true,
				edittype: "checkbox",
				formatter :
			     function(cellval, el, opts) 
			    	{
			    		var html = '';
			    		var src = '';
			    		if(opts.movilgmao == '1'){
			    			if (opts.estadogmao && opts.estadogmao != ""){
				    			if(opts.estadogmao == "ASIG"){
				    				src=$.rup.APP_STATICS + "/images/asignado.png";
				    				html = '<img width="15" height="15" src='+src+' id="idEstado-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.estadogmaoasig+'">';
				    			}else if(opts.estadogmao == "CURS"){
				    				src=$.rup.APP_STATICS + "/images/encurso.gif";
				    				html = '<img width="22" height="22" src='+src+' id="idEstado-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.estadogmaocurs+'">';
				    			}else if(opts.estadogmao == "PAUSA"){
				    				src=$.rup.APP_STATICS + "/images/pausa.png";
				    				html = '<img width="17" height="15" src='+src+' id="idEstado-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.estadogmaopausa+'">';
				    			}else if(opts.estadogmao == "TERM"){
				    				src=$.rup.APP_STATICS + "/images/ok.png";
				    				html = '<img width="15" height="15" src='+src+' id="idEstado-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.estadogmaoterm+'">';
				    			}
				            }else{
				            	src=$.rup.APP_STATICS + "/images/asignado.png";
			    				html = '<img width="15" height="15" src='+src+' id="idEstado-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.estadogmaoasig+'">';
				            }
			    		}else{
			    			if (opts.finalizado && opts.finalizado != 0){
			    				src=$.rup.APP_STATICS + "/images/ok.png";
			    				html = '<img width="15" height="15" src='+src+' style="cursor:pointer" id="idFin-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.finalizado+'" onclick="comprobarFinalizarTec(\''+el.rowId+'\');">';
			    			}else{
			    				src=$.rup.APP_STATICS + "/images/rechazar1.png";
			    				html = '<img width="15" height="15" src='+src+' style="cursor:pointer" id="idFin-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.pendiente+'" onclick="comprobarFinalizarTec(\''+el.rowId+'\');">';
			    			}
			    		}
			    		
			    		
			    		
			    		/*if (opts.finalizado && opts.finalizado != 0){
			    			src=$.rup.APP_STATICS + "/images/ok.png";
			    			if(opts.movilgmao == '1'){
			    				html = '<img width="15" height="15" src='+src+' id="idFin-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.finalizado+'">';
			    			}else{
			    				html = '<img width="15" height="15" src='+src+' style="cursor:pointer" id="idFin-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.finalizado+'" onclick="comprobarFinalizarTec(\''+el.rowId+'\');">';
			    			}	
			    		}else{
			    			src=$.rup.APP_STATICS + "/images/rechazar1.png";
			    			if(opts.movilgmao == '1'){
			    				html = '<img width="15" height="15" src='+src+' id="idFin-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.pendiente+'">';
			    			}else{
			    				html = '<img width="15" height="15" src='+src+' style="cursor:pointer" id="idFin-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.pendiente+'" onclick="comprobarFinalizarTec(\''+el.rowId+'\');">';
			    			}	
			            }*/
		    			

			            return html;
			    	}
			},
			{ name: "nombre",
				label: "nombre",
				index: "nombre",
				width: "120",
				editable: false,
				edittype: "text"
			},
			{ name: "tiemporeal",
				label: "tiemporeal",
				index: "tiemporeal",
				align : "center",
				width: "59",
				editable: false,
				edittype: "text",
                formatter :
                	masiveIconFormatter = function(cellval, el, opts) 
                	{
                		var html = '';
                    	if (cellval && cellval != ''){
                    		var parteHoras=Math.floor(cellval/60);
                    		var parteMinutos=cellval%60;
                    		html = '<span width="20" height="20" id="idTR-'+el.rowId+'" title="'+$.rup.i18n.app.parteTecnicos.tiemporeal+'">'+parteHoras+':'+ parteMinutos +' </span>';
                    	}
                    	return html;
                	}
			},
			{
				name: "aceptada",
				hidden: true
			},
			{ name: "aceptada2",
				label: "aceptada2",
				index: "aceptada2",
				width: "40",
				align : "center",
				editable: true,
				edittype: "checkbox",
				formatter :
			     function(cellval, el, opts) 
			    	{
			    		var html = '';
			    		var src = '';
			    		 
			    		if (opts.aceptada && opts.aceptada != "0"){
			    			src=$.rup.APP_STATICS + "/images/accept.png";
			    			html = '<img width="15" height="15" src='+src+' id="idAcep-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.aceptadaTec+'">';
			    		}else if(opts.aceptada && opts.aceptada == "0"){
			    			src=$.rup.APP_STATICS + "/images/eliminar.gif";
			    			html = '<img width="15" height="15" src='+src+' id="idAcep-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.rechazadaTec+'">';
			            }else{
			            	html = '<span>-</span>';
			            }
		    			

			            return html;
			    	}
			},
			{ name: "observaciones",
				label: "observaciones",
				index: "observaciones",
				width: "250",
				editable: true,
				edittype: "text"
			},
			{ name: "idparte",
                label: "idparte",
                hidden:true,
                editable: false,
				edittype: "text"
			},
			{ name: "idparte2",
                label: "notas",
                align : "center",
                resizable: false,
                width: 15,
                sortable:false,
                formatter :
                	masiveIconFormatter = function(cellval, el, opts) 
                	{
                		var html = '';
                    	var src = $.rup.APP_STATICS + "/images/ver_detalle.gif";
                    	if (opts.idparte && opts.idparte != ''){
                    		html = '<img width="20" height="20" src='+src+' style="cursor:pointer" id="idNota-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.notas+'" onclick="abrirNotas(\''+el.rowId+'\');">';
                    	}
                    	return html;
                	}
			},
			{ name: "enviomail",
                //label: "mail",
                align : "center",
                index: "enviomail",
                resizable: false,
                width: 15,
                sortable:false,
                formatter :
                	masiveIconFormatter = function(cellval, el, opts) 
                	{
	            		var html = '';
	            		if(opts.movilgmao == '1'){
	            			var src = $.rup.APP_STATICS + "/images/mobile.png";
	                		html = '<img width="20" height="20" src='+src+' id="idMovilgmao-'+opts.idtecnico+'"  title="'+$.rup.i18n.app.parteTecnicos.movilgmao+'">';
	            		}else{
		                	if (cellval && cellval == '1'){
		                		var src = $.rup.APP_STATICS + "/images/enviada.png";
		                		html = '<img width="20" height="20" src='+src+' style="cursor:pointer" id="idMail-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.mailenviado+'" onclick="enviarMail(\''+el.rowId+'\');">';
		                	}else{
		                		var src = $.rup.APP_STATICS + "/images/sobres.png";
		                		html = '<img width="20" height="20" src='+src+' style="cursor:pointer" id="idMail-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.enviarmail+'" onclick="enviarMail(\''+el.rowId+'\');">';
		                	}
	            		}
	                	return html;
                	}
			},
			{ name: "idparte3",
                label: "imprimir",
                align : "center",
                resizable: false,
                width: 15,
                sortable:false,
                formatter :
                	masiveIconFormatter = function(cellval, el, opts) 
                	{
                		var html = '';
                    	var src = $.rup.APP_STATICS + "/images/imprimir.png";
                    	if (opts.idparte && opts.idparte != ''){
                    		html = '<img width="20" height="20" src='+src+' style="cursor:pointer" id="idImp-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.imprimir+'" onclick="imprimirVentana(\''+el.rowId+'\');">';
                    	}
                    	return html;
                	}
			},
			{ name: "notasTec",
                //label: "notasTec",
                align : "center",
                resizable: false,
                width: 15,
                sortable:false,
                formatter :
                	masiveIconFormatter = function(cellval, el, opts) 
                	{
            		var html = '';
                	if (cellval && cellval != ''){
                		var src = $.rup.APP_STATICS + "/images/notastec.png";
                		html = '<img width="20" height="20" src='+src+' style="cursor:pointer" id="idNotaTec-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.notasTec+'" onclick="abrirNotasTecnico(\''+el.rowId+'\');">';
                	}else{
                		/*var src = $.rup.APP_STATICS + "/images/nuevo.gif";
                		html = '<img width="20" height="20" src='+src+' style="cursor:pointer" id="idNotaTec-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.NuevaNotasTec+'" onclick="abrirNotasTecnico(\''+el.rowId+'\');">';*/
                		html = '<span title="'+$.rup.i18n.app.parteTecnicos.sinNotasTec+'">-</span>';
                	}
                	return html;
            	}
			},						
			{ name: "notasTec",
				//label: "notasTec",
				index: "notasTec",
				width: "250",
				editable: true,
				edittype: "text",
				hidden:true
			},
			{ name: "firma",
                //label: "notasTec",
                align : "center",
                resizable: false,
                width: 15,
                sortable:false,
                formatter :
                	masiveIconFormatter = function(cellval, el, opts) 
                	{
                		var html = '';
                		var src = $.rup.APP_STATICS + "/images/firma.png";
                		html = '<img width="20" height="20" src='+src+' style="cursor:pointer" id="idFirmaTec-'+opts.idtecnico+'"  title="'+$.rup.i18n.app.parteTecnicos.firmaTec+'" onclick="mostrarFirmaTecnico(\''+el.rowId+'\');">';
                		return html;
                	}
			},
			{
				name: "movilgmao",
				index:"movilgmao",
				hidden:true
			}
        ]
		
	});

	
	
	//var idParte = $("#idparte").val();
	$("#tecnicosLibres").empty();
	$("#tecnicosAsignados").empty();
	
	/*$.ajax({
		  type: "POST",
		  url: "../tecnicos/obtenerTecnicosParteLibres",
		  data:  { idEdificio:codigoEdificio, idParte:idParte},
		  success: function(data){
			  var miselect=$("#tecnicosLibres");
			  $("#tecnicosLibres").empty();
			  	for (var i=0; i<data.length; i++) {
			  		if(data[i].presente){
			  			miselect.append('<option value="' + data[i].idtecnico + '" style="color:green;">' + data[i].nombre + '</option>');
			  		}else{
			  			miselect.append('<option value="' + data[i].idtecnico + '" style="color:red;">' + data[i].nombre + '</option>');
			  		}
			  	}									  
			  },
			 error: function(data){
				 alert( data);
			 },
		  dataType: "json"
		});
	$.ajax({
		  type: "POST",
		  url: "../tecnicos/obtenerTecnicosParteAsignados",
		  data:  { idParte:idParte},
		  success: function(data){
			  var miselect=$("#tecnicosAsignados");
			  $("#tecnicosAsignados").empty();
              for (var i=0; i<data.length; i++) {
            	  if(data[i].presente){
            		  miselect.append('<option value="' + data[i].idtecnico + '" style="color:green;">' + data[i].nombre + '</option>');
            	  }else{
            		  miselect.append('<option value="' + data[i].idtecnico + '" style="color:red;">' + data[i].nombre + '</option>');
            	  }
              }								  
			  },
			 error: function(data){
				 alert( data);
			 },
		  dataType: "json"
		});*/
	
	var propertiesOK = {
			type: "ok",
			fadeSpeed: 600,
			gotoTop: false,
			block: false,
			closeLink: false
	};

var propertiesError = {
			type: "error",
			fadeSpeed: 600,
			gotoTop: false,
			block: true,
			closeLink: false
	};
	
	$.ajax({
		type: "POST",
		url: "../procesosGmao/bajarOTcorrectivaGmao",
		dataType: "json",
		data:  { idParte:idParte},
		beforeSend : function(data) {
			//Mostrar div de sincronizando
			//Dialogo con el mensaje y barra de sincronizar con gmao...
			$("#dialogoSincronizar").rup_dialog(
			{
				type : $.rup.dialog.DIV,
				height : 200,
				width : 500,
				modal : true,
				showLoading : true,
				autoOpen : false,
				title : $.rup.i18n.app.mensajesEdificios.sincronizando
			});
			$("#dialogoSincronizar").rup_dialog("open");
		},
		success: function(data){
			respuesta = data;
			if(respuesta == "OK" || respuesta == ""){
				$("#feedback_parteTecnicos").rup_feedback (propertiesOK);
				$("#feedback_parteTecnicos").rup_feedback("set", "<p><strong>" +  $.rup.i18n.app.accionesRegistros.okSincronizar + "</strong></p>");
				$("#feedback_parteTecnicos").rup_feedback("show");
				//setTimeout(function() {
					$.ajax({
						  type: "POST",
						  url: "../tecnicos/obtenerTecnicosParteAsignados",
						  data:  { idParte:idParte},
						  success: function(data){
							  var miselect=$("#tecnicosAsignados");
							  $("#tecnicosAsignados").empty();
							  	for (var i=0; i<data.length; i++) {
				            	  if(data[i].presente){
				            		  miselect.append('<option value="' + data[i].idtecnico + '" style="color:green;">' + data[i].nombre + '</option>');
				            	  }else{
				            		  miselect.append('<option value="' + data[i].idtecnico + '" style="color:red;">' + data[i].nombre + '</option>');
				            	  }
							  	}							
							  	comprobarSiNoProcede();
							  },
							 error: function(data){
								 alert( data);
							 },
						  dataType: "json"
						});
					
					$.ajax({
						  type: "POST",
						  url: "../tecnicos/obtenerTecnicosParteLibres",
						  data:  { idEdificio:codigoEdificio, idParte:idParte},
						  success: function(data){
							  var miselect=$("#tecnicosLibres");
							  $("#tecnicosLibres").empty();
							  	for (var i=0; i<data.length; i++) {
				                	if(data[i].presente){
				                		miselect.append('<option value="' + data[i].idtecnico + '" style="color:green;">' + data[i].nombre + '</option>');
				                	}else{
				                		miselect.append('<option value="' + data[i].idtecnico + '" style="color:red;">' + data[i].nombre + '</option>');
				                	}
				                }										  
							  },
							 error: function(data){
								 alert( data);
							 },
						  dataType: "json"
						});
					
					$("#GRID_parteTecnicos").rup_grid("reloadGrid");
					
					$("#editarParte").rup_tabs("loadTab",{
						  idTab: "tabs",
						  position: 1
					});
				//}, 400);
				
			}else{
				$("#feedback_parteTecnicos").rup_feedback (propertiesError);
				$("#feedback_parteTecnicos").rup_feedback("set", "<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorSincronizar + ": " + respuesta + "</strong></p>");
				$("#feedback_parteTecnicos").rup_feedback("show");
			}
			$("#dialogoSincronizar").rup_dialog("close");
			$("#dialogoSincronizar").rup_dialog("destroy");
		},
		error: function(data) {
			$("#dialogoSincronizar").rup_dialog("close");
			$("#dialogoSincronizar").rup_dialog("destroy");
	 		$("#feedback_parteTecnicos").rup_feedback (propertiesError);
	 		$("#feedback_parteTecnicos").rup_feedback("set", "<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorSincronizar + "</strong></p>");
	 		$("#feedback_parteTecnicos").rup_feedback("show");
			  
		}
	});
	
	
	
	
	
  
	$("#siguienteTecnico").bind("click", confirmarSumaTecnicos);
	$("#anteriorTecnico").bind("click", confirmarRestaTecnicos);
	
	
	$("#GRID_parteTecnicosEjec").rup_grid({
		width: 865,
		hasMaint:true,
		//cellEdit:true,
		url: "../parteejecucion/ejecucionesParte?idParTec=" + idParTec,
		pagerName: "pagerEjec",
		rowNum: "5",
		sortorder: "asc",
		sortname: "idpareje",
		colNames: [
			"idpareje",
			"idpartec",
			$.rup.i18n.app.parteEjecucion.fechaInicio,
			$.rup.i18n.app.parteEjecucion.fechaFin
		],
		colModel: [
			{ name: "idpareje",
				label: "idpareje",
				index: "idpareje",
				width: "150",
				editable: false,
				edittype: "text",
				hidden:true
			},
			{ name: "idpartec",
				label: "idpartec",
				index: "idpartec",
				width: "150",
				editable: false,
				edittype: "text",
				hidden:true
			},
			{ name: "feini",
				label: "feini",
				index: "feini",
				width: "150",
				editable: false,
				edittype: "text"
			},
			{ name: "fefin",
				label: "fefin",
				index: "fefin",
				width: "150",
				editable: false,
				edittype: "text"
			}		
        ]
		
	});
	$("#parteTecnicosEjec").rup_maint({
		jQueryGrid: "GRID_parteTecnicosEjec",
		primaryKey: "idpareje",
		modelObject: "Parteejecucion",
		searchForm: "searchForm",
		//showMessages: true,
		toolbar:{
			createDefaultToolButtons:false,
			newButtons: [{
					obj: {
						i18nCaption: $.rup.i18n.app.botones.nuevo,
						css: "rup-maint_new"
						},
						json_i18n: $.rup.i18n.app.simpelMaint,
						click: fncNuevaEjec
					},
					{
					obj: {
						i18nCaption: $.rup.i18n.app.botones.editar,
						css: "rup-maint_edit"
						},
						json_i18n: $.rup.i18n.app.simpelMaint,
						click: fncDetalleEjec
					},
					{
					obj: {
						i18nCaption: $.rup.i18n.app.botones.eliminar,
						css: "rup-maint_delete"
						},
						json_i18n: $.rup.i18n.app.simpelMaint,
						click: fncEliminarEjec
					}
					]
	
			}
	});
	$("#GRID_parteTecnicosEjec").unbind("dblclick");
	$("#parteTecnicosEjec").hide();
	$("#labelTecnico").hide();
	$("#labelEjecTecnico").hide();	
	// ocultar la botonera de edicion
	$("#rup-maint_toolbar-parteTecnicosEjec").hide();
	
	// Si el parte es repetido. No se permiten modificar datos. Solo se puede modificar el padre
	if($("#idAveriaRepe").val()>0){
		tecnicosModoConsulta();
	}

	
	
	/********************************* BOTON MAIL ****************************************************************/
	$("#bt_envioMailTodos").unbind("dblclick");
	$("#bt_envioMailTodos").bind("click", enviarMailTodos);
	
	
	if($("#idNoProcede").val() == "1"){
		$("#noprocedeChk").val("1");
		$("#noprocedeChk").prop("checked", true);
		$("#bt_FinParteNoProcede").hide();
		$("#noprocedeChk").attr("disabled","disabled");
		$("#noProcedeObservTxt").val($("#idObservNoProcede").val());
		$("#noProcedeObserv").show();
		$('#siguienteTecnico').hide();
		$('#anteriorTecnico').hide();
		// ocultar la botonera de edicion
		$("#rup-maint_toolbar-parteTecnicosEjec").hide();

	}else{
		$("#noProcedeObserv").hide();
		$("#noProcedeObservTxt").val("");
		$("#noprocedeChk").val("0");
		$("#noprocedeChk").prop("checked", false);
		$("#noprocedeChk").prop("disabled",false);
	}
	
	$("#noprocedeChk").change(function() {
		if($("#noprocedeChk").val() != "1"){
			$("#noprocedeChk").val("1");
			$("#noprocedeChk").prop("checked", true);
            $("#bt_FinParteNoProcede").show();
		}else{
			$("#noprocedeChk").val("0");
			$("#noprocedeChk").prop("checked", false);
            $("#bt_FinParteNoProcede").hide();
		}
                
    });
	
	$("#bt_FinParteNoProcede").click(function(){
		$.rup_messages("msgConfirm", {
			title: $.rup.i18nParse($.rup.i18n.app,"accionesRegistros.modificar"),			
			message: $.rup.i18nParse($.rup.i18n.app,"parteTecnicos.deseaFinalizarParte"),
			OKFunction: function(){
				finalizarParteNoProcede();		
			},
			CANCELFunction : function(){
			}
		});
	});
	
	
	//Si el usuario es técnico significa que ha dado de alta el parte
	//ahora y no debe poder hacer modificaciones
	if($("#usuarioEsTecnico").val() == "true"){
		$("#divNoProcede").hide();
		tecnicosModoConsulta();
	}
	
	formParteModificado = $("#nuevoParteForm").rup_form("formSerialize");

});


/***************************************************************************/
/********************   TOOLTIPS *******************************************/
/***************************************************************************/

$("#bt_envioMailTodos").rup_tooltip({
	content: {
	text: $.rup.i18n.app.mensajesTecnicos.enviarMailTodos
	}
});

/********************   FIN TOOLTIPS *******************************************/

function comprobarSiNoProcede(){
	if($("#tecnicosAsignados").children().size() == 0){
		$("#divNoProcede").show();
		if($("#idEjecutado").prop("checked")){
			$("#noprocedeChk").prop("disabled","disabled");
			$("#bt_FinParteNoProcede").hide();
		}else{
			$("#noprocedeChk").prop("disabled",false);
			if($("#usuarioEsTecnico").val() == "true"){
				$("#divNoProcede").hide();
			}
			
		}
	}else{
		$("#divNoProcede").hide();
	}
}

function enviarMailTodos(){
	//Deshabilito para evitar que el dobleclick sobre el botón envíe dos email
	$("#bt_envioMailTodos").attr('disabled','disabled');
	var rows= jQuery("#GRID_parteTecnicos").jqGrid('getRowData');
	if (rows.length==0){
		$("#bt_envioMailTodos").attr('disabled',false);
		return;
	}

	var idParte=$("#idparte").val();
	var propertiesmailTodos={
			url:"../partes/enviarParteTodosTecnico",
			feedback:$("#feedbackParteTecnicos"),
			data:{idParte:idParte},
			dataType: "json",
			 error: function() {
				 //Primero vuelo a habilitar el botón 
				 $("#bt_envioMailTodos").attr('disabled',false);
				 $("#feedbackParteTecnicos").rup_feedback("set", $.rup.i18n.app.accionesRegistros.errorguardar, "error");			
			 },
			 success: function(data2){
				//Primero vuelo a habilitar el botón 
				 $("#bt_envioMailTodos").attr('disabled',false);
				 if (data2=="true"){
					  	$.rup_messages("msgOK", { 
					  		title: $.rup.i18n.app.comun.control,
					  		message: $.rup.i18n.app.parteTecnicos.mailenviado 
					  	});
					  	$("#GRID_parteTecnicos").rup_grid("reloadGrid");
				  }else{
						$.rup_messages("msgAlert", { 
				 			title: $.rup.i18n.app.comun.control,
					 		message: $.rup.i18n.app.parteTecnicos.errorEnviarTodosMail + " --- " + data2
					 	});
				  
				 }
				 $("#GRID_parteTecnicos").rup_grid("reloadGrid");
			 }
			};
			$("#nuevoParteForm").rup_form(propertiesmailTodos);
			$("#nuevoParteForm").submit();
			
}

function tecnicosModoConsulta(){
	//No se permiten modificar datos porque es un parte repetido. Solo se puede modificar el padre
	$("input").attr('disabled','disabled');
	$("textarea").attr('readonly','readonly');

	$('#siguienteTecnico').hide();
	$('#anteriorTecnico').hide();

	// ocultar la botonera de edicion
	$("#rup-maint_toolbar-parteTecnicosEjec").hide();

}

function fncNuevaEjec(){
	if ($("#GRID_parteTecnicos").jqGrid().getGridParam('selrow')==null){
		alert($.rup.i18n.app.parteTecnicos.seleccTecnico);
		return;
	}
	
	idParTec=$("#GRID_parteTecnicos").jqGrid().getRowData($("#GRID_parteTecnicos").jqGrid().getGridParam('selrow')).idpartec;
	if (idParTec==null){
		  //Mensaje de que no se ha seleccionado un técnico
		$.rup_messages("msgOK", {
			title: $.rup.i18nParse($.rup.i18n.app,"mensajesActuacion.numActuacion"),			
			message: $.rup.i18nParse($.rup.i18n.app,"mensajesActuacion.faltaSeleccionar")
			});

		return;
	}

	try{
		$("#idFechaInicio").rup_date("destroy");
		$("#idFechaFin").rup_date("destroy");
		var propertiesFeEje= {
				from: "idFechaInicio",
				to : "idFechaFin",
				datetimepicker:true,
				showSecond: false,
				timeFormat: 'hh:mm',
				independientes: true
				};
		$.rup_date (propertiesFeEje);
		}catch(e){
		}
	$("#editarEjec").rup_dialog("destroy");
	
	$("#formParteEjec").rup_form("clearForm");
	$("#editarEjec").rup_dialog({      
		type: jQuery.rup.dialog.DIV,
		modal:true,
        height:150,
        width:509,  
        resizable:false,
        title:"",
        autoOpen:true,
        showLoading:true,
        async:false, 
        zIndex: -1,
        buttons:[{
	        	id: "aceptarEditarEjec",
	        	text: $.rup.i18n.base.rup_global.aceptar,
	        	click: function() {
	        		if ($("#idFechaInicio").val()=="" && $("#idFechaFin").val()!=""){
	        			alert($.rup.i18n.app.parteEjecucion.faltaFechaInicio);
	        			return;
	        		}else{
	        			guardarNuevaEjecucion();	
	        		}
	        		
	        	}
        	},
	        {
	    		id: "cerrarEditarEjec",
	    		text: $.rup.i18n.base.rup_global.cancelar,
	        	click: function() {
	        		$("#editarEjec").rup_dialog("close");
	        	},
	        	btnType:$.rup.dialog.LINK
        	}]
      });

	var propertiesFeEje= {
			from: "idFechaInicio",
			to : "idFechaFin",
			datetimepicker:true,
			showSecond: false,
			timeFormat: 'hh:mm',
			independientes: true
			};
	$.rup_date (propertiesFeEje);


	
	$("#accionEje").val("NUEVO");
	$("#idpartecEjec").val(idParTec);
	
}
function guardarNuevaEjecucion(){
//Se comprobara que las fechas/horas introducidas no son incongruentes con otras ejecuciones de ese tecnico y parte
//la fecha de inicio no puede estar entre la fecha inicio y fecha fin de otra ejecucion
//la fecha de fin no puede estar entre la fecha inicio y fecha fin de otra ejecucion
//No puede haber otra ejecución en medio de las fechas/horas de inicio y fin de la nueva ejecución
	
	var propertiesEjec={
			url:"../parteejecucion/modificarEjecParte?accion=NUEVO",
			feedback:$("#feedbackParteTecnicos"),
			dataType:"json",
			 error: function(data) {
				 $("#feedbackParteTecnicos").rup_feedback("set", $.rup.i18n.app.accionesRegistros.errorguardar, "error");
			 },
			 success: function(dataEje){
				 if (dataEje=="NOVALIDA") {
					 //$("#feedbackParteTecnicos").rup_feedback("set", "Fechas incorrectas", "error");
					 alert($.rup.i18n.app.parteEjecucion.errorFechasEjec);
				 }else{
					 
					 //Recalcular tiempos (campo tiemporeal)
					 tecnicoSeleccionado=$("#GRID_parteTecnicos").rup_grid('getGridParam','selrow');
					 $("#GRID_parteTecnicosEjec").rup_grid("reloadGrid");
					 recalcularTiempos();
					 $("#editarEjec").rup_dialog("close");
				 }
			 },
			 validate: {
				 rules: {
					"feini":{required:true}
				 }
			 }
			};
	$("#formParteEjec").rup_form(propertiesEjec);
	$("#formParteEjec").submit();
	
} 

function recalcularTiempos(){
	var idparteTecnico = $("#GRID_parteTecnicos").jqGrid().getRowData($("#GRID_parteTecnicos").jqGrid().getGridParam('selrow')).idpartec;
	
	$.ajax({
		  type: "POST",				  
		  url: "../parteejecucion/recalcularTiempoParteTecnico",
		  data:  { idParteTec:idparteTecnico},
		  success: function(data5){	
			  if (data5==true){
				  $("#GRID_parteTecnicos").rup_grid("reloadGrid",function(){
					  //Volver a situarnos en el técnico que ya estaba 
					  if (tecnicoSeleccionado!=""){
						  $("#GRID_parteTecnicos").setSelection(tecnicoSeleccionado,true);  
						  tecnicoSeleccionado="";
					  }
				  }); 
			  }else{
				  alert($.rup.i18n.app.fichaTecnicos.errorTiempos);  
			  }
			  },
		  error: function() {
			  mensajeError("<p><strong>" +  $.rup.i18n.app.fichaTecnicos.errorTiempos + "</strong></p>");
		  },
		  dataType: "json"
		});
}
function guardarModifEjecucion(){
	//Se comprobara que las fechas/horas introducidas no son incongruentes con otras ejecuciones de ese tecnico y parte
	//la fecha de inicio no puede estar entre la fecha inicio y fecha fin de otra ejecucion
	//la fecha de fin no puede estar entre la fecha inicio y fecha fin de otra ejecucion
		
		var propertiesEjec={
				url:"../parteejecucion/modificarEjecParte?accion=MODIFICAR",
				feedback:$("#feedbackParteTecnicos"),
				dataType:"json",
				 error: function(data) {
					 $("#feedbackParteTecnicos").rup_feedback("set", $.rup.i18n.app.accionesRegistros.errorguardar, "error");
				 },
				 success: function(dataEje){
					 if (dataEje=="NOVALIDA") {
						 //$("#feedbackParteTecnicos").rup_feedback("set", "Fechas incorrectas", "error");
						 alert($.rup.i18n.app.parteEjecucion.errorFechasEjec);
					 }else{
						 //Recalcular tiempos (campo tiemporeal)
						 recalcularTiempos();
						 $("#GRID_parteTecnicosEjec").rup_grid("reloadGrid");
			        	$("#editarEjec").rup_dialog("close");
					 }
				 },
				 validate: {
					 rules: {
						"feini":{required:true}
					 }
				 }
				};
		$("#formParteEjec").rup_form(propertiesEjec);
		$("#formParteEjec").submit();
		
	} 
function fncEliminarEjec(){

	if ($("#GRID_parteTecnicosEjec").jqGrid().getGridParam('selrow')==null){
		alert($.rup.i18n.app.parteTecnicos.seleccEjec);
		return;
	}

	$.rup_messages("msgConfirm", {
		title: $.rup.i18nParse($.rup.i18n.app,"accionesRegistros.eliminar"),			
		message: $.rup.i18nParse($.rup.i18n.app,"parteTecnicos.deseaEliminarEjec"),
		OKFunction: function(){
			eliminarEjec();		
		},
		CANCELFunction : function(){
		}
		});
	
		
}
function eliminarEjec(){
	var idparteEjecucion = $("#GRID_parteTecnicosEjec").jqGrid().getRowData($("#GRID_parteTecnicosEjec").jqGrid().getGridParam('selrow')).idpareje;
	$.ajax({
		  type: "POST",				  
		  url: "../parteejecucion/eliminarEjecParte",
		  data:  { idparteEjecucion:idparteEjecucion},
		  success: function(data5){					 
			  	$("#GRID_parteTecnicosEjec").rup_grid("reloadGrid");
			  },
		  error: function() {
			  mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorBorrar + "</strong></p>");
		  },
		  dataType: "json"
		});

}
function fncDetalleEjec(){
	
	if ($("#GRID_parteTecnicos").jqGrid().getGridParam('selrow')==null){
		alert($.rup.i18n.app.parteTecnicos.seleccTecnico);
		return;
	}

	if ($("#GRID_parteTecnicosEjec").jqGrid().getGridParam('selrow')==null){
		alert($.rup.i18n.app.parteTecnicos.seleccEjec);
		return;
	}

	var feini = $("#GRID_parteTecnicosEjec").jqGrid().getRowData($("#GRID_parteTecnicosEjec").jqGrid().getGridParam('selrow')).feini;
	var fefin = $("#GRID_parteTecnicosEjec").jqGrid().getRowData($("#GRID_parteTecnicosEjec").jqGrid().getGridParam('selrow')).fefin;
	var idpareje = $("#GRID_parteTecnicosEjec").jqGrid().getRowData($("#GRID_parteTecnicosEjec").jqGrid().getGridParam('selrow')).idpareje;
	
	try{
		$("#idFechaInicio").rup_date("destroy");
		$("#idFechaFin").rup_date("destroy");
		var propertiesFeEje= {
				from: "idFechaInicio",
				to : "idFechaFin",
				datetimepicker:true,
				showSecond: false,
				timeFormat: 'hh:mm',
				independientes: true
				};
		$.rup_date (propertiesFeEje);
	}catch(e){
		
	}

	$("#editarEjec").rup_dialog("destroy");
	$("#formParteEjec").rup_form("clearForm");
	$("#editarEjec").rup_dialog({      
		type: jQuery.rup.dialog.DIV,
		modal:true,
        height:150,
        width:509,  
        resizable:false,
        title:"",
        autoOpen:true,
        showLoading:true,
        async:false, 
        zIndex: -1,
        buttons:[{
	        	id: "aceptarEditarEjec",
	        	text: $.rup.i18n.base.rup_global.aceptar,
	        	click: function (){
	        		if ($("#idFechaInicio").val()=="" && $("#idFechaFin").val()!=""){
	        			alert($.rup.i18n.app.parteEjecucion.faltaFechaInicio);
	        			return;
	        		}else{
	        			guardarModifEjecucion();	
	        		}
	        	}
        	},
	        {
	    		id: "cerrarEditarEjec",
	    		text: $.rup.i18n.base.rup_global.cancelar,
	        	click: function() {
	        		$("#editarEjec").rup_dialog("close");
	        	},
	        	btnType:$.rup.dialog.LINK
        	}]
      });

	var propertiesFeEje= {
			from: "idFechaInicio",
			to : "idFechaFin",
			datetimepicker:true,
			showSecond: false,
			timeFormat: 'hh:mm',
			independientes: true
			};
	$.rup_date (propertiesFeEje);

	$("#accionEje").val("MODIFICAR");
	$("#idpartecEjec").val(idParTec);
	//$("#idFechaInicio").val(feini);
	$("#idFechaInicio").rup_date("setRupValue",feini);
	
	//$("#idFechaFin").val(fefin);
	$("#idFechaFin").rup_date("setRupValue",fefin);
	$("#idparejeEjec").val(idpareje);
}
function cargarEjecucionTecnico(){
	$("#parteTecnicosEjec").show();
	$("#labelTecnico").show();
	$("#labelEjecTecnico").show();
	
	$("#GRID_parteTecnicosEjec").show();
	idParTec=$("#GRID_parteTecnicos").jqGrid().getRowData($("#GRID_parteTecnicos").jqGrid().getGridParam('selrow')).idpartec;
	$("#idpartec_search").val(idParTec);
	
	$("#parteTecnicosEjec").rup_maint("search");
	
	$("#labelTecnico").html($("#GRID_parteTecnicos").jqGrid().getRowData($("#GRID_parteTecnicos").jqGrid().getGridParam('selrow')).nombre);
	
	var valorActual = $("#GRID_parteTecnicos").jqGrid().getRowData($("#GRID_parteTecnicos").jqGrid().getGridParam('selrow')).finalizado;
	if (valorActual=="1"){
		// ocultar la botonera de edicion
		$("#rup-maint_toolbar-parteTecnicosEjec").hide();
	}else{
		$("#rup-maint_toolbar-parteTecnicosEjec").show();
	}
	// Si el parte es repetido. No se permiten modificar datos. Solo se puede modificar el padre
	if($("#idAveriaRepe").val()>0){
		// ocultar la botonera de edicion
		$("#rup-maint_toolbar-parteTecnicosEjec").hide();
	}
	
	if($("#usuarioEsTecnico").val() == "true"){
		$("#rup-maint_toolbar-parteTecnicosEjec").hide();
	}
	
	//Si el técnico seleccionado tiene aplicación móvil, ocultamos el botón de nuevo y eliminar
	var valormovilgmao = $("#GRID_parteTecnicos").jqGrid().getRowData($("#GRID_parteTecnicos").jqGrid().getGridParam('selrow')).movilgmao;
	if(valormovilgmao == "1"){
		$("#rup-maint_toolbar-parteTecnicosEjec").hide();
	}else{
		$("#rup-maint_toolbar-parteTecnicosEjec").show();
	}
	
}
function imprimirVentana(){
	//MOSTRAR EL TAB GENERAL. 
	$("#editarParte").rup_tabs("selectTab",{
		idTab: "editarParte",
		position: 0
		});
	window.print();
}
function comprobarFinalizarTec(IDseleccionado){
	//Ocultar los tooltips porque se quedan en pantalla con Internet Explorer cuando se hace click en la imagen.
	$('div.ui-tooltip-content').hide();
	
	// Si el parte es repetido. No se permiten modificar datos. Solo se puede modificar el padre
	if($("#idAveriaRepe").val()>0){
		return;
	}
	if($("#usuarioEsTecnico").val() == "true"){
		return;
	}
	
	//Si el click es para finalizar hay que comprobar que tiene metidas ejecuciones, si no no dejar finalizar
	
	$("#GRID_parteTecnicos").setSelection(IDseleccionado,true);

	var filaSeleccionada=$("#GRID_parteTecnicos").jqGrid().getGridParam('selrow')-1;
	var valorFilaSeleccionada=$("#GRID_parteTecnicos").jqGrid().getRowData($("#GRID_parteTecnicos").jqGrid().getGridParam('selrow')).finalizado;
	
	if (valorFilaSeleccionada=="" || valorFilaSeleccionada==0){
		//Ha hecho click para finalizar. Comprobar si hay ejecuciones metidas.
		var idParTec=$("#GRID_parteTecnicos").jqGrid().getRowData($("#GRID_parteTecnicos").jqGrid().getGridParam('selrow')).idpartec;
		$.ajax({
			  type: "POST",				  
			  url: "../parteejecucion/parteTecnicoTieneEjecuciones",
			  data:  { idParTec:idParTec},
			  success: function(dataTieneEjecuciones){
				  if (dataTieneEjecuciones=="OK"){
					  //Tiene ejecuciones metidas. Se puede continuar
					  finalizarTec(IDseleccionado);
				  }else{
					  if (dataTieneEjecuciones=="FALTA EJEC"){
					  //No tiene ejecuciones metidas. No se puede finalizar.
						$.rup_messages("msgAlert", { 
				 			title: $.rup.i18n.app.comun.control,
					 		message:  $.rup.i18n.app.parteTecnicos.noTieneEjec
					 	});
						  return;
					  }
					  if (dataTieneEjecuciones=="FALTA FEFIN"){
						  //Tiene ejecuciones sin finalizar. No se puede finalizar.
							$.rup_messages("msgAlert", { 
					 			title: $.rup.i18n.app.comun.control,
						 		message:  $.rup.i18n.app.parteTecnicos.tieneEjecSinFin
						 	});
							  return;
						  }
					  
				  }
			  },
			  error: function() {
					$.rup_messages("msgAlert", { 
			 			title: $.rup.i18n.app.comun.control,
				 		message: "Error al comprobar si tiene ejecuciones. parteTecnicoTieneEjecuciones"
				 	});
					  return;
				  },
			  dataType: "json"
			});
	}else{
		 finalizarTec(IDseleccionado);
	}
	
}
function finalizarTec(IDseleccionado){
	
	$("#GRID_parteTecnicos").setSelection(IDseleccionado,true);

	var filaSeleccionada=$("#GRID_parteTecnicos").jqGrid().getGridParam('selrow')-1;
	var valorFilaSeleccionada=$("#GRID_parteTecnicos").jqGrid().getRowData($("#GRID_parteTecnicos").jqGrid().getGridParam('selrow')).finalizado;
	var accionTecnico;
	if (valorFilaSeleccionada=="1"){
		accionTecnico=0; //La accion es de abrir las ejecuciones del técnico
	}else{
		accionTecnico=1;//La accion es de finalizar las ejecuciones del técnico
	}
	var actualizarEjecParte=false;
	var rows= jQuery("#GRID_parteTecnicos").jqGrid('getRowData');
	var row=0;
	var primeraVez=true;
	var accionParte="";
	for(var i=0;i<rows.length;i++){
		row=rows[i];
		if (accionTecnico==0){
			accionParte="ABRIR";
			actualizarEjecParte=true;
			//Si la accionTecnico=0 , abrir ejecuciones del tecnico, y el resto de tecnicos tiene finalizadas sus ejecuciones --> Hay que marcar el parte como pendiente de finalizar
			if (i!=filaSeleccionada && row['finalizado']=="1"){
				accionParte="";
				actualizarEjecParte=false;
				i=rows.length;
			}
		}
		if (accionTecnico==1){
			accionParte="FINALIZAR";
			//Si la accionTecnico=1 , finalizar ejecucuciones del tecnico, y el resto de tecnicos tiene finalizadas sus ejecuciones --> Hay que marcar el parte como finalizado
			actualizarEjecParte=true;
			if (i!=filaSeleccionada && row['finalizado']!="1"){
				//Hay otro tecnico que no tiene finalizadas sus ejecuciones --> No se finaliza el parte
				accionParte="";
				actualizarEjecParte=false;
				i=rows.length;
			}
		}
		
	}
	
	var idparteTecnico = $("#GRID_parteTecnicos").jqGrid().getRowData($("#GRID_parteTecnicos").jqGrid().getGridParam('selrow')).idpartec;
	var valorActual = $("#GRID_parteTecnicos").jqGrid().getRowData($("#GRID_parteTecnicos").jqGrid().getGridParam('selrow')).finalizado;
	
	$.ajax({
		  type: "POST",				  
		  url: "../partetecnicos/finalizarParteTecnico",
		  data:  { idParteTec:idparteTecnico, valorActual:valorActual},
		  success: function(data5){				
			  
			  	$("#GRID_parteTecnicos").rup_grid("reloadGrid");
			  
			  	if (actualizarEjecParte==true){
			  		actualizarParteEjec(accionParte);
			  	}
			  	//Deshabilitar los botones de ejecucion para que se solo estén activos al pinchar en un técnico
			  	
			  	$("#rup-maint_toolbar-parteTecnicosEjec").hide();
		  },
		  error: function() {
			  mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorBorrar + "</strong></p>");
		  },
		  dataType: "json"
		});
	
}
function actualizarParteEjec(accionParte){
	var idParte=$("#idparte").val();
	$.ajax({
		  type: "POST",				  
		  url: "../partes/actualizarEjecParte",
		  data:  { idParte:idParte, accionParte:accionParte},
		  success: function(data5){					 
			  //Refrescar la ventana para que muestre en la pestaña Datos Generales los cambios.
			  //location.reload();
			  $("#editarParte").rup_tabs("loadTab",{
				  idTab: "tabs",
				  position: 1
				  });
		  },
		  error: function() {
			  mensajeError("<p><strong>" +  "Error al actualizar los datos de ejecucion del Parte" + "</strong></p>");
		  },
		  dataType: "json"
		});
}

function enviarMail(IDseleccionado){
	//Evitar que el dobleclick envíe dos email
	if (controlDobleClick!=true){
		return;
	}
	controlDobleClick=false;
	
	$("#GRID_parteTecnicos").setSelection(IDseleccionado,true);

	var idTecnico=$("#GRID_parteTecnicos").jqGrid().getRowData($("#GRID_parteTecnicos").jqGrid().getGridParam('selrow')).idtecnico;
	var idParte=$("#idparte").val();
	var propertiesmail={
			url:"../partes/enviarParteAlTecnico",
			feedback:$("#feedbackParteTecnicos"),
			data:{idParte:idParte, idTecnico:idTecnico},
			dataType: "json",
			 error: function() {
				 	$("#feedbackParteTecnicos").rup_feedback("set", $.rup.i18n.app.accionesRegistros.errorguardar, "error");
				 	controlDobleClick=true;
			 },
			 success: function(data2){
				 if (data2=="true"){
					  	$.rup_messages("msgOK", { 
					  		title: $.rup.i18n.app.comun.control,
					  		message: $.rup.i18n.app.parteTecnicos.mailenviado 
					  	});
					  	$("#GRID_parteTecnicos").rup_grid("reloadGrid");
				  }else{
						$.rup_messages("msgAlert", { 
				 			title: $.rup.i18n.app.comun.control,
					 		message: $.rup.i18n.app.parteTecnicos.errorEnviarMail + " --- " + data2
					 	});
				  
				 }
				 controlDobleClick=true;
			 }
			};
			$("#nuevoParteForm").rup_form(propertiesmail);
			$("#nuevoParteForm").submit();
			
}
function abrirNotas(IDseleccionado){
	
	$("#GRID_parteTecnicos").setSelection(IDseleccionado,true);
			
	var observaciones = $("#GRID_parteTecnicos").jqGrid().getRowData($("#GRID_parteTecnicos").jqGrid().getGridParam('selrow')).observaciones;
	var idparteTecnico = $("#GRID_parteTecnicos").jqGrid().getRowData($("#GRID_parteTecnicos").jqGrid().getGridParam('selrow')).idpartec;
	var idparte = $("#GRID_parteTecnicos").jqGrid().getRowData($("#GRID_parteTecnicos").jqGrid().getGridParam('selrow')).idparte;
	var idtecnico = $("#GRID_parteTecnicos").jqGrid().getRowData($("#GRID_parteTecnicos").jqGrid().getGridParam('selrow')).idtecnico;
	//Mostrar la ventana de lupa Notas
	
	$('#idtextoNotas').attr('readonly', false);
	
	// Si el parte es repetido. No se permiten modificar datos. Solo se puede modificar el padre
	if($("#idAveriaRepe").val()>0){
		$('#idtextoNotas').attr('readonly', true);
	}
	if($("#usuarioEsTecnico").val() == "true"){
		$('#idtextoNotas').attr('readonly', true);
	}

	$("#lupaNotas").rup_dialog("destroy");
	$("#lupaNotas").rup_dialog({      
		type: jQuery.rup.dialog.DIV,
		modal:true,
        height:300,
        width:649,  
        resizable:false,
        title:$("#GRID_parteTecnicos").jqGrid().getRowData($("#GRID_parteTecnicos").jqGrid().getGridParam('selrow')).nombre,
        autoOpen:true,
        showLoading:true,
        async:false, 
        zIndex: -1,
        buttons:[{
	        	id: "aceptarLupaNotas",
	        	text: $.rup.i18n.base.rup_global.aceptar,
	        	click: function() {
	        		var obs=$('textarea#idtextoNotas').val();
	        		$.ajax({
	        			  type: "POST",
	        			  url: "../partetecnicos/modificarNotasParteTecnico",
	        			  data:  { idPartec:idparteTecnico, observ:obs},
	        			  success: function(data){
	        				  $("#GRID_parteTecnicos").rup_grid("reloadGrid");
	        				  enviarNota(idparte,idtecnico,obs);
	        			  	},
	        				 error: function(data){
	        					 alert( "error" );
	        				 },
	        			  dataType: "json"
	        			});
	        		
	        		$("#lupaNotas").rup_dialog("close");
	        		}
        	},
	        {
	    		id: "cerrarLupaNotas",
	    		text: $.rup.i18n.base.rup_global.cancelar,
	        	click: function() {
	        		$("#lupaNotas").rup_dialog("close");
	        	},
	        	btnType:$.rup.dialog.LINK
        	}]
      });
	
	$("#idtextoNotas").val(observaciones);
	
}

function enviarNota(idparte,idtecnico,obs){
	$.ajax({
		  type: "POST",
		  url: "../procesosGmao/enviarNotasRespParte",
		  data:  { idParte:idparte,idTecnico:idtecnico, observ:obs},
		  success: function(data){
			
		  	},
			 error: function(data){
				 alert( "error" );
			 },
		  dataType: "json"
		});

}

function mostrarFirmaTecnico(IDseleccionado){
	$("#GRID_parteTecnicos").setSelection(IDseleccionado,true);
	
	var finalizado = $("#GRID_parteTecnicos").jqGrid().getRowData($("#GRID_parteTecnicos").jqGrid().getGridParam('selrow')).finalizado;
	var idparte = $("#GRID_parteTecnicos").jqGrid().getRowData($("#GRID_parteTecnicos").jqGrid().getGridParam('selrow')).idparte;
	var idtecnico = $("#GRID_parteTecnicos").jqGrid().getRowData($("#GRID_parteTecnicos").jqGrid().getGridParam('selrow')).idtecnico;
	var idpartetecnico = $("#GRID_parteTecnicos").jqGrid().getRowData($("#GRID_parteTecnicos").jqGrid().getGridParam('selrow')).idpartec;
	
	//Si esta finalizado tiene la imagen de la firma
	if(finalizado != null && finalizado != 0){
		
		//Mostrar la ventana de lupa del plano
		$("#lupaFirma").rup_dialog({      
			type: jQuery.rup.dialog.DIV,
			modal:true,
	        height:360,
	        width:480,  
	        resizable:false,
	        title:"",
	        autoOpen:true,
	        showLoading:true,
	        async:false, 
	        zIndex: -1,
	        buttons:[
		        {
		    		id: "cerrarLupaFirma",
		    		text: $.rup.i18n.base.rup_global.cancelar,
		        	click: function() {
		        		$("#lupaFirma").rup_dialog("close");
		        	},
		        	btnType:$.rup.dialog.LINK
	        	}]
	      });
		 var cPunto = document.getElementById("canvaFirma1");
		 var ctxPunto = cPunto.getContext("2d");
		
		 planoFirma = new Image();
		 planoFirma.onload=function(){
			 ctxPunto.clearRect( 0, 0, 640, 480);
			 ctxPunto.drawImage(planoFirma, 0, 0, 320, 240);
			 
			 //Comprobación existencia PDF para mostrar botón de descarga
			/*$.ajax({
				  type: "POST",				  
				  url: "../procesosGmao/OtTienePDF",
				  data:  { idParte:idparte, idTecnico:idtecnico},
				  success: function(dataParte){	
					  if (dataParte==true){
						  if ($("#idBotonPdfOt").length == 0 ) {
							  var src=$.rup.APP_STATICS + "/images/icon_pdf.png";
							  $('#cerrarLupaFirma').before('<img width="25" height="25" src="'+src+'" style="cursor:pointer" id="idBotonPdfOt" title="Imprimir PDF" onclick="descargarPDFot(\''+idparte+'\',\''+idtecnico+'\');"><span>&nbsp;</span>');
						  }else{
							  $("#idBotonPdfOt").show();
						  } 
					  }else{
						  if ($("#idBotonPdfOt").length > 0 ) {
							  $("#idBotonPdfOt").hide();
						  }
					  }
					  },
				  error: function() {
						$.rup_messages("msgAlert", { 
				 			title: $.rup.i18n.app.comun.control,
					 		message: $.rup.i18n.app.accionesRegistros.errorBorrar 
					 	});
				  },
				  dataType: "json"
				});*/
			 
			 
		 };
		planoFirma.src="../procesosGmao/mostrarFirmaParte?idparte=" + idparte + "&idtecnico="+idtecnico+"&idpartec="+idpartetecnico;

		
	}else{
		alert("El técnico todavía no ha finalizado las ejecuciones");
	}
}

/*function descargarPDFot(idparte, idtecnico){
	
	
	
	$("#idparte_impr").val(idparte);
	$("#idtecnico_impr").val(idtecnico);
	
	$("#filtroImprimirPDFForm").attr("action","../partes/imprimirEjecFechaEj");
	$("#filtroImprimirPDFForm").attr("method","GET");
	$("#filtroImprimirPDFForm").attr("target","_blank");
	 //Se envia el formulario 
	$("#filtroImprimirPDFForm").submit();
	
	
}*/

function abrirNotasTecnico(IDseleccionado){
	
	$("#GRID_parteTecnicos").setSelection(IDseleccionado,true);
			
	var notasTec = $("#GRID_parteTecnicos").jqGrid().getRowData($("#GRID_parteTecnicos").jqGrid().getGridParam('selrow')).notasTec;
	var idparteTecnico = $("#GRID_parteTecnicos").jqGrid().getRowData($("#GRID_parteTecnicos").jqGrid().getGridParam('selrow')).idpartec;
	//Mostrar la ventana de lupa Notas

	$('#idtextoNotasTecnico').attr('readonly', false);
	
	// Si el parte es repetido. No se permiten modificar datos. Solo se puede modificar el padre
	if($("#idAveriaRepe").val()>0){
		$('#idtextoNotasTecnico').attr('readonly', true);
	}

	$("#lupaNotasTecnico").rup_dialog("destroy");
	$("#lupaNotasTecnico").rup_dialog({      
		type: jQuery.rup.dialog.DIV,
		modal:true,
        height:300,
        width:649,  
        resizable:false,
        title:$("#GRID_parteTecnicos").jqGrid().getRowData($("#GRID_parteTecnicos").jqGrid().getGridParam('selrow')).nombre,
        autoOpen:true,
        showLoading:true,
        async:false, 
        zIndex: -1,
        buttons:[{
	        	id: "aceptarLupaNotasTecnico",
	        	text: $.rup.i18n.base.rup_global.aceptar,
	        	click: function() {
	        		
	        		//Si el usuario logeado es tecnico puede modificar las notas tecnico
	        		
	        		//**************IMPORTANTE*********************
	        		// lo siguiente está comentado porque este fichero va a ser solo para el usuario administrador o responsable.
	        		//El usuario tecnico tendrá su propio jsp y js en el que se incluirá este codigo
	        		/*
	        		if($("#idUsuarioTecnico").val()=="true"){
		        		var obs=$('textarea#idtextoNotasTecnico').val();
		        		$.ajax({
		        			  type: "POST",
		        			  url: "../partetecnicos/modificarNotasTecnicoParteTecnico",
		        			  data:  { idPartec:idparteTecnico, notasTec:obs},
		        			  success: function(data){
		        				  $("#GRID_parteTecnicos").rup_grid("reloadGrid");
		        			  	},
		        				 error: function(data){
		        					 alert( "error" );
		        				 },
		        			  dataType: "json"
		        			});
	        		}else{
	        			$('textarea#idtextoNotasTecnico').attr('readonly','readonly');
	        		}
	        		*/
	        		//**************FIN IMPORTANTE*********************

	        		$("#lupaNotasTecnico").rup_dialog("close");
	        		}
        	},
	        {
	    		id: "cerrarLupaNotasTecnico",
	    		text: $.rup.i18n.base.rup_global.cancelar,
	        	click: function() {
	        		$("#lupaNotasTecnico").rup_dialog("close");
	        	},
	        	btnType:$.rup.dialog.LINK
        	}]
      });
	
	$("#idtextoNotasTecnico").val(notasTec);
	
	//******************IMPORTANTE **************
	// este fichero es para el responsable y/o administrador
	// El usuario responsable y/o administrador no puede modificar las notas de los tecnicos
	$('textarea#idtextoNotasTecnico').attr('readonly','readonly');
	
	
	
	
}


	function confirmarSumaTecnicos(){
		
		if($('#tecnicosLibres').val() != null && $('#tecnicosLibres').val() != ""){
			$.rup_messages("msgConfirm", {
				title: $.rup.i18nParse($.rup.i18n.app,"mensajesEdificios.alta"),			
				message: $.rup.i18nParse($.rup.i18n.app,"mensajesEdificios.sumaTecnico"),
				OKFunction: function(){
					sumaTecnicos();		
				},
				CANCELFunction : function(){
				}
				});
		}else{
			 alert($.rup.i18n.app.mensajesActuacion.faltaSeleccionar);  
		}
	}
	
	function confirmarRestaTecnicos (){
		
		if($('#tecnicosAsignados').val() != null){
		$.rup_messages("msgConfirm", {
			title: $.rup.i18nParse($.rup.i18n.app,"mensajesEdificios.baja"),			
			message: $.rup.i18nParse($.rup.i18n.app,"mensajesEdificios.restaTecnico"),
			OKFunction: function(){
				//Comprobar si el tecnico tiene ejecuciones asociadas a este parte
				var tecnicosSeleccionados = $('#tecnicosAsignados').val();
				//var idParte=90;	
				var idParte=$("#idparte").val();
				$.ajax({
					  type: "POST",				  
					  url: "../tecnicos/comprobarEjecucionesTecnico",
					  data:  { idParte:idParte,tecnicosSeleccionados:formaArrayJson(tecnicosSeleccionados)
					  },
					  success: function(data4){	
						  if (data4==null){
							  alert($.rup.i18n.app.parteTecnicos.tecnicoTieneEjec);  
						  }else{
							  restaTecnicos();
						  }
						  },
					  error: function() {
						  mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorBorrar + "</strong></p>");
					  },
					  dataType: "json"
					});
				
					
			},
			CANCELFunction : function(){
			}
			});
		}else{
			 alert($.rup.i18n.app.mensajesActuacion.faltaSeleccionar);  
		}
	}
	
	function formaArrayJson (lista) {
		var listaJson = "";
		for (i=0; i<lista.length; i++ ) {
			listaJson += lista[i];			
			if (i!= (lista.length - 1) ) {
				listaJson += ",";
			}		
		}			
		return listaJson;
	}
	
	function sumaTecnicos() {
		var codigoEdificio = $("#idedificio").val();
		var tecnicosSeleccionados = $('#tecnicosLibres').val();
		//var idParte=90;	
		var idParte=$("#idparte").val();
			
		$.ajax({
			  type: "POST",				  
			  url: "../tecnicos/sumaTecnicosParte",
			  data:  { idParte:idParte,tecnicosSeleccionados:formaArrayJson(tecnicosSeleccionados)
			  },
			  beforeSend : function(data) {
					//Mostrar div de sincronizando
				  $("#dialogoSincronizar").rup_dialog(
							{
								type : $.rup.dialog.DIV,
								height : 200,
								width : 500,
								modal : true,
								showLoading : true,
								autoOpen : false,
								title : $.rup.i18n.app.mensajesEdificios.sincronizando
							});
					$("#dialogoSincronizar").rup_dialog("open");
			  },
			  success: function(data4){					 
				  	$("#dialogoSincronizar").rup_dialog("close");
				  	$("#dialogoSincronizar").rup_dialog("destroy");
				  	!$('#tecnicosLibres option:selected').remove().appendTo('#tecnicosAsignados');
				  	$("#GRID_parteTecnicos").rup_grid("reloadGrid");
				  	comprobarSiNoProcede();
				  },
			  error: function() {
				  $("#dialogoSincronizar").rup_dialog("close");
				  $("#dialogoSincronizar").rup_dialog("destroy");
				  mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorguardar + "</strong></p>");
			  },
			  dataType: "json"
			});
	
	}
	function restaTecnicos() {
		var codigoEdificio = $("#idedificio").val();
		var tecnicosSeleccionados = $('#tecnicosAsignados').val();
		//var idParte=90;	
		var idParte=$("#idparte").val();
		$.ajax({
			  type: "POST",				  
			  url: "../tecnicos/restaTecnicosParte",
			  data:  { idParte:idParte,tecnicosSeleccionados:formaArrayJson(tecnicosSeleccionados)
			  },
			  beforeSend : function(data) {
					//Mostrar div de sincronizando
				  $("#dialogoSincronizar").rup_dialog(
							{
								type : $.rup.dialog.DIV,
								height : 200,
								width : 500,
								modal : true,
								showLoading : true,
								autoOpen : false,
								title : $.rup.i18n.app.mensajesEdificios.sincronizando
							});
					$("#dialogoSincronizar").rup_dialog("open");
			  },
			  success: function(data4){	
				  	$("#dialogoSincronizar").rup_dialog("close");
				  	$("#dialogoSincronizar").rup_dialog("destroy");
					!$('#tecnicosAsignados option:selected').remove().appendTo('#tecnicosLibres');  
				  	$("#GRID_parteTecnicos").rup_grid("reloadGrid");
				  	comprobarSiNoProcede();
				  },
			  error: function() {
				  $("#dialogoSincronizar").rup_dialog("close");
				  $("#dialogoSincronizar").rup_dialog("destroy");
				  mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorBorrar + "</strong></p>");
			  },
			  dataType: "json"
			});
		
	}
 /********************** FIN EDIFICIOS *********************************/

	/********************************* FEEDBACK MENSAJES OK  ****************************************************************/
	
	function mensajeInfo (texto) {
		 var properties = {
   				type: "ok",
   				fadeSpeed: 600,
   				gotoTop: false,
   				block: false,
   				closeLink: false
   			};
			
   		$("#feedbackParteTecnicos").rup_feedback (properties);

   		$("#feedbackParteTecnicos").rup_feedback("set", texto);

   		$("#feedbackParteTecnicos").rup_feedback("show");
	}
	
	function mensajeError (texto) {
		 var properties = {
  				type: "error",
  				fadeSpeed: 600,
  				gotoTop: false,
  				block: false,
  				closeLink: false
  			};

  		$("#feedbackParteTecnicos").rup_feedback (properties);

  		$("#feedbackParteTecnicos").rup_feedback("set", texto);

  		$("#feedbackParteTecnicos").rup_feedback("show");
	}
	
	/********************************* FIN FEEDBACK MENSAJES OK  ****************************************************************/


// Esto es necesario para que salgan los mensajes de validacion de uda
jQuery("#feedbackParteTecnicos").rup_feedback({
	  type: "ok",                  
	  closeLink: true,                  
	  delay: 1000,                  
	  fadeSpeed: 500,                  
	  block:false          
}); 


	
function finalizarParteNoProcede(){
	
	var idParteNoProcede=$("#idparte").val();
	var observNoProcede = "";
	
	$("#lupaObservNoProcede").rup_dialog("destroy");
	
	$("#lupaObservNoProcede").rup_dialog({      
		type: jQuery.rup.dialog.DIV,
		modal:true,
        height:300,
        width:649,  
        resizable:false,
        title:$.rup.i18n.app.mensajesPartes.observNoProcede,
        autoOpen:true,
        showLoading:true,
        async:false, 
        zIndex: -1,
        buttons:[{
	        	id: "aceptarLupaObservNoProcede",
	        	text: $.rup.i18n.base.rup_global.aceptar,
	        	click: function() {
	        		
	        		observNoProcede = $("#idtextoObservNoProcede").val();
	        		$.ajax({
	        			  type: "POST",				  
	        			  url: "../partes/finalizarParteNoProcede",
	        			  data:  { idParte:idParteNoProcede, observNoProcede: observNoProcede},
	        			  beforeSend : function(data) {
	        				  //Mostrar div de sincronizando
	        				  $("#dialogoSincronizar").rup_dialog(
	        				  {
	        					  type : $.rup.dialog.DIV,
	        					  height : 200,
	        					  width : 500,
	        					  modal : true,
	        					  showLoading : true,
	        					  autoOpen : false,
	        					  title : $.rup.i18n.app.mensajesEdificios.guardando
	        				  });
	        				  $("#dialogoSincronizar").rup_dialog("open");
	        			  },
	        			  success: function(data4){					 
	        				  $("#dialogoSincronizar").rup_dialog("close");
	        				  $("#dialogoSincronizar").rup_dialog("destroy");
	        				  $('#siguienteTecnico').hide();
	        				  $('#anteriorTecnico').hide();
	        				  // ocultar la botonera de edicion
	        				  $("#rup-maint_toolbar-parteTecnicosEjec").hide();
	        				  $("#bt_FinParteNoProcede").hide();
	        				  $("#noprocedeChk").prop("disabled",true);
	        				  $("#noprocedeChk").prop("checked",true);
	        				  $("#noprocedeChk").val("1");
	        				  $("#noProcedeObservTxt").val(observNoProcede);
	        				  $("#noProcedeObserv").show();
	        				  $("#idNoProcede").val("1");
	        				  $("#idObservNoProcede").val(observNoProcede);
	        			  },
	        			  error: function() {
	        				  $("#dialogoSincronizar").rup_dialog("close");
	        				  $("#dialogoSincronizar").rup_dialog("destroy");
	        				  mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorguardar + "</strong></p>");
	        			  },
	        			  dataType: "json"
	        			});	

	        		$("#lupaObservNoProcede").rup_dialog("close");
        		}
        	},
	        {
	    		id: "cerrarLupaNotasTecnico",
	    		text: $.rup.i18n.base.rup_global.cancelar,
	        	click: function() {
	        		$("#lupaObservNoProcede").rup_dialog("close");
	        	},
	        	btnType:$.rup.dialog.LINK
        	}]
      });

	$("#idtextoObservNoProcede").prop("readonly",false);
}	    
